Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class UpdateControler

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.UpdateControler

    public class UpdateControler

extends java.lang.Object

UpdateControler
Classe permettant d'accéder à la base de données via un CRON pour les notifications
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.2 $
Author:
  Mathieu Larchet

Constructor Summary
`UpdateControler()`

Method Summary
`void` | `close()` Ferme la connexion courante
`java.util.List` | `getAllFolders(java.lang.String id)` Retourne la liste de tous les dossiers d'un intranet
`java.util.List` | `getFolders(java.lang.String id)` Retourne la liste de tous les sous-dossiers d'un dossier
`java.util.List` | `getIntranets()` Récupère tous les intranets
`void` | `updateFolder(Folder folder)` Modifie un dossier existant
`void` | `updateIntranet(Intranet intranet)` Met à jour un intranet

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateControler

    public UpdateControler()

Method Detail

### close

    public void close()

  Ferme la connexion courante

### getIntranets

    public java.util.List getIntranets()
                                throws DataException

  Récupère tous les intranets

  Returns:
    intranets La liste des intranets
  Throws:
    `DataException`

### updateIntranet

    public void updateIntranet(Intranet intranet)
                        throws DataException

  Met à jour un intranet

  Parameters:
    `intranet` - L'intranet à mettre à jour
  Throws:
    `DataException`

### getAllFolders

    public java.util.List getAllFolders(java.lang.String id)
                                 throws DataException

  Retourne la liste de tous les dossiers d'un intranet

  Parameters:
    `id` - L'identifiant de l'intranet
  Returns:
    folders La liste des dossiers
  Throws:
    `DataException`

### getFolders

    public java.util.List getFolders(java.lang.String id)
                              throws DataException

  Retourne la liste de tous les sous-dossiers d'un dossier

  Parameters:
    `id` - L'identifiant du dossier
  Returns:
    folders La liste des sous-dossiers
  Throws:
    `DataException`

### updateFolder

    public void updateFolder(Folder folder)
                      throws DataException

  Modifie un dossier existant

  Parameters:
    `folder` - Le dossier à modifier
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD